curl --request GET \
--url https://api.aisa.one/apis/v1/agentmail/inboxes/{inbox_id}/drafts/{draft_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/agentmail/inboxes/{inbox_id}/drafts/{draft_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/agentmail/inboxes/{inbox_id}/drafts/{draft_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"inbox_id": "<string>",
"draft_id": "<string>",
"labels": [
"<string>"
],
"updated_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"client_id": "<string>",
"reply_to": [
"<string>"
],
"to": [
"<string>"
],
"cc": [
"<string>"
],
"bcc": [
"<string>"
],
"subject": "<string>",
"preview": "<string>",
"text": "<string>",
"html": "<string>",
"attachments": [
{
"attachment_id": "<string>",
"size": 123,
"filename": "<string>",
"content_type": "<string>",
"content_disposition": "inline",
"content_id": "<string>"
}
],
"in_reply_to": "<string>",
"references": [
"<string>"
],
"send_status": "scheduled",
"send_at": "2023-11-07T05:31:56Z"
}{
"name": "<string>",
"message": "<string>"
}Get Draft
Get Draft
draft_id, inbox_id, client_id, labels, reply_to, to, cc, bcc, subject, preview, text, html, attachments, in_reply_to and references. Edit it with patch_agentmail_inbox_draft, send it with post_agentmail_inbox_draft_send.
Example
curl -X GET "https://api.aisa.one/apis/v1/agentmail/inboxes/{inbox_id}/drafts/{draft_id}" \
-H "Authorization: Bearer YOUR_API_KEY"
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Bearer authentication
Response
Response with status 200
The ID of the inbox.
ID of draft.
Labels of draft.
Time at which draft was last updated.
Time at which draft was created.
Client ID of draft.
Reply-to addresses. In format username@domain.com or Display Name <username@domain.com>.
Addresses of recipients. In format username@domain.com or Display Name <username@domain.com>.
Addresses of CC recipients. In format username@domain.com or Display Name <username@domain.com>.
Addresses of BCC recipients. In format username@domain.com or Display Name <username@domain.com>.
Subject of draft.
Text preview of draft.
Plain text body of draft.
HTML body of draft.
Attachments in draft.
Show child attributes
Show child attributes
ID of message being replied to.
IDs of previous messages in thread.
Schedule send status of draft.
scheduled, sending, failed Time at which to schedule send draft.